<?php
/**
 * Settings view
 *
 * @package 	CSVIVirtueMart
 * @author 		Roland Dalmulder
 * @link 		http://www.csvimproved.com
 * @copyright 	Copyright (C) 2006 - 2012 RolandD Cyber Produksi
 * @license 	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @version 	$Id: view.html.php 1892 2012-02-11 11:01:09Z RolandD $
 */

defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

jimport( 'joomla.application.component.view' );

/**
 * Settings View
 *
 * @package CSVIVirtueMart
 */
class CsvivirtuemartViewSettings extends JView {

	/**
	* About view display method
	* @return void
	* */
	function display($tpl = null) {
		// Load some behaviour
		jimport('joomla.html.pane');
		$pane = JPane::getInstance('tabs');
		JHTML::_('behavior.tooltip');

		// Load the settings
		$params = $this->get('Settings');

		// Load a list of tables
		$this->tablelist = $this->get('TableList');

		// Assign the values
		$this->assignRef('pane', $pane);
		$this->assignRef('params', $params);

		// Show the toolbar
		JToolBarHelper::title(JText::_('COM_CSVIVIRTUEMART_SETTINGS_TITLE'), 'csvivirtuemart_settings_48');
		JToolBarHelper::custom('reset', 'csvivirtuemart_reset_32', 'csvivirtuemart_reset_32', JText::_('COM_CSVIVIRTUEMART_RESET_SETTINGS'), false);
		JToolBarHelper::custom('save', 'csvivirtuemart_save_32', 'csvivirtuemart_save_32', JText::_('COM_CSVIVIRTUEMART_SAVE'), false);
		JToolBarHelper::help('settings.html', true);

		// Display it all
		parent::display($tpl);
	}
}
?>